| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Functions
Graph API: Converting image from one color space to another
G-API Image processing functionality

## Detailed Description

## Functions
GMat | cv::gapi::BayerGR2RGB (const GMat &src_gr)
| Converts an image from BayerGR color space to RGB. The function converts an input image from BayerGR color space to RGB. The conventional ranges for G, R, and B channel values are 0 to 255.
GMat | cv::gapi::BGR2Gray (const GMat &src)
| Converts an image from BGR color space to gray-scaled.
GMat | cv::gapi::BGR2I420 (const GMat &src)
| Converts an image from BGR color space to I420 color space.
GMat | cv::gapi::BGR2LUV (const GMat &src)
| Converts an image from BGR color space to LUV color space.
GMat | cv::gapi::BGR2RGB (const GMat &src)
| Converts an image from BGR color space to RGB color space.
GMat | cv::gapi::BGR2YUV (const GMat &src)
| Converts an image from BGR color space to YUV color space.
GMat | cv::gapi::I4202BGR (const GMat &src)
| Converts an image from I420 color space to BGR color space.
GMat | cv::gapi::I4202RGB (const GMat &src)
| Converts an image from I420 color space to BGR color space.
GMat | cv::gapi::LUV2BGR (const GMat &src)
| Converts an image from LUV color space to BGR color space.
GMat | cv::gapi::NV12toBGR (const GMat &src_y, const GMat &src_uv)
| Converts an image from NV12 (YUV420p) color space to BGR. The function converts an input image from NV12 color space to RGB. The conventional ranges for Y, U, and V channel values are 0 to 255.
GMatP | cv::gapi::NV12toBGRp (const GMat &src_y, const GMat &src_uv)
| Converts an image from NV12 (YUV420p) color space to BGR. The function converts an input image from NV12 color space to BGR. The conventional ranges for Y, U, and V channel values are 0 to 255.
GMat | cv::gapi::NV12toGray (const GMat &src_y, const GMat &src_uv)
| Converts an image from NV12 (YUV420p) color space to gray-scaled. The function converts an input image from NV12 color space to gray-scaled. The conventional ranges for Y, U, and V channel values are 0 to 255.
GMat | cv::gapi::NV12toRGB (const GMat &src_y, const GMat &src_uv)
| Converts an image from NV12 (YUV420p) color space to RGB. The function converts an input image from NV12 color space to RGB. The conventional ranges for Y, U, and V channel values are 0 to 255.
GMatP | cv::gapi::NV12toRGBp (const GMat &src_y, const GMat &src_uv)
| Converts an image from NV12 (YUV420p) color space to RGB. The function converts an input image from NV12 color space to RGB. The conventional ranges for Y, U, and V channel values are 0 to 255.
GMat | cv::gapi::RGB2Gray (const GMat &src)
| Converts an image from RGB color space to gray-scaled.
GMat | cv::gapi::RGB2Gray (const GMat &src, float rY, float gY, float bY)
GMat | cv::gapi::RGB2HSV (const GMat &src)
| Converts an image from RGB color space to HSV. The function converts an input image from RGB color space to HSV. The conventional ranges for R, G, and B channel values are 0 to 255.
GMat | cv::gapi::RGB2I420 (const GMat &src)
| Converts an image from RGB color space to I420 color space.
GMat | cv::gapi::RGB2Lab (const GMat &src)
| Converts an image from RGB color space to Lab color space.
GMat | cv::gapi::RGB2YUV (const GMat &src)
| Converts an image from RGB color space to YUV color space.
GMat | cv::gapi::RGB2YUV422 (const GMat &src)
| Converts an image from RGB color space to YUV422. The function converts an input image from RGB color space to YUV422. The conventional ranges for R, G, and B channel values are 0 to 255.
GMat | cv::gapi::YUV2BGR (const GMat &src)
| Converts an image from YUV color space to BGR color space.
GMat | cv::gapi::YUV2RGB (const GMat &src)
| Converts an image from YUV color space to RGB. The function converts an input image from YUV color space to RGB. The conventional ranges for Y, U, and V channel values are 0 to 255.

## Function Documentation

## ◆ BayerGR2RGB()

GMat cv::gapi::BayerGR2RGB | ( | const GMat & | src_gr | ) |

Python:
| cv.gapi.BayerGR2RGB( | src_gr | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from BayerGR color space to RGB. The function converts an input image from BayerGR color space to RGB. The conventional ranges for G, R, and B channel values are 0 to 255.

Output image must be 8-bit unsigned 3-channel image CV_8UC3.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.bayergr2rgb"

Parameters

  src_gr | input image: 8-bit unsigned 1-channel image CV_8UC1.

See also
  YUV2BGR, NV12toRGB

## ◆ BGR2Gray()

GMat cv::gapi::BGR2Gray | ( | const GMat & | src | ) |

Python:
| cv.gapi.BGR2Gray( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from BGR color space to gray-scaled.

The conventional ranges for B, G, and R channel values are 0 to 255. Resulting gray color value computed as

\[\texttt{dst} (I)= \texttt{0.114} * \texttt{src}(I).B + \texttt{0.587} * \texttt{src}(I).G + \texttt{0.299} * \texttt{src}(I).R \]

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.bgr2gray"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC1.

See also
  BGR2LUV

## ◆ BGR2I420()

GMat cv::gapi::BGR2I420 | ( | const GMat & | src | ) |

Python:
| cv.gapi.BGR2I420( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from BGR color space to I420 color space.

The function converts an input image from BGR color space to I420. The conventional ranges for R, G, and B channel values are 0 to 255.

Output image must be 8-bit unsigned 1-channel image. CV_8UC1. Width of I420 output image must be the same as width of input image. Height of I420 output image must be equal 3/2 from height of input image.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.bgr2i420"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC3.

See also
  I4202BGR

## ◆ BGR2LUV()

GMat cv::gapi::BGR2LUV | ( | const GMat & | src | ) |

Python:
| cv.gapi.BGR2LUV( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from BGR color space to LUV color space.

The function converts an input image from BGR color space to LUV. The conventional ranges for B, G, and R channel values are 0 to 255.

Output image must be 8-bit unsigned 3-channel image CV_8UC3.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.bgr2luv"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC3.

See also
  RGB2Lab, RGB2LUV

## ◆ BGR2RGB()

GMat cv::gapi::BGR2RGB | ( | const GMat & | src | ) |

Python:
| cv.gapi.BGR2RGB( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from BGR color space to RGB color space.

The function converts an input image from BGR color space to RGB. The conventional ranges for B, G, and R channel values are 0 to 255.

Output image is 8-bit unsigned 3-channel image CV_8UC3.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.bgr2rgb"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC3.

See also
  RGB2BGR

## ◆ BGR2YUV()

GMat cv::gapi::BGR2YUV | ( | const GMat & | src | ) |

Python:
| cv.gapi.BGR2YUV( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from BGR color space to YUV color space.

The function converts an input image from BGR color space to YUV. The conventional ranges for B, G, and R channel values are 0 to 255.

Output image must be 8-bit unsigned 3-channel image CV_8UC3.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.bgr2yuv"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC3.

See also
  YUV2BGR

## ◆ I4202BGR()

GMat cv::gapi::I4202BGR | ( | const GMat & | src | ) |

Python:
| cv.gapi.I4202BGR( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from I420 color space to BGR color space.

The function converts an input image from I420 color space to BGR. The conventional ranges for B, G, and R channel values are 0 to 255.

Output image must be 8-bit unsigned 3-channel image. CV_8UC3. Width of BGR output image must be the same as width of input image. Height of BGR output image must be equal 2/3 from height of input image.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.i4202bgr"

Parameters

  src | input image: 8-bit unsigned 1-channel image CV_8UC1.

See also
  BGR2I420

## ◆ I4202RGB()

GMat cv::gapi::I4202RGB | ( | const GMat & | src | ) |

Python:
| cv.gapi.I4202RGB( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from I420 color space to BGR color space.

The function converts an input image from I420 color space to BGR. The conventional ranges for B, G, and R channel values are 0 to 255.

Output image must be 8-bit unsigned 3-channel image. CV_8UC3. Width of RGB output image must be the same as width of input image. Height of RGB output image must be equal 2/3 from height of input image.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.i4202rgb"

Parameters

  src | input image: 8-bit unsigned 1-channel image CV_8UC1.

See also
  RGB2I420

## ◆ LUV2BGR()

GMat cv::gapi::LUV2BGR | ( | const GMat & | src | ) |

Python:
| cv.gapi.LUV2BGR( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from LUV color space to BGR color space.

The function converts an input image from LUV color space to BGR. The conventional ranges for B, G, and R channel values are 0 to 255.

Output image must be 8-bit unsigned 3-channel image CV_8UC3.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.luv2bgr"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC3.

See also
  BGR2LUV

## ◆ NV12toBGR()

GMat cv::gapi::NV12toBGR | ( | const GMat & | src_y,
|  | const GMat & | src_uv )

Python:
| cv.gapi.NV12toBGR( | src_y, src_uv | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from NV12 (YUV420p) color space to BGR. The function converts an input image from NV12 color space to RGB. The conventional ranges for Y, U, and V channel values are 0 to 255.

Output image must be 8-bit unsigned 3-channel image CV_8UC3.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.nv12tobgr"

Parameters

  src_y | input image: 8-bit unsigned 1-channel image CV_8UC1.
  src_uv | input image: 8-bit unsigned 2-channel image CV_8UC2.

See also
  YUV2BGR, NV12toRGB

## ◆ NV12toBGRp()

GMatP cv::gapi::NV12toBGRp | ( | const GMat & | src_y,
|  | const GMat & | src_uv )

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from NV12 (YUV420p) color space to BGR. The function converts an input image from NV12 color space to BGR. The conventional ranges for Y, U, and V channel values are 0 to 255.

Output image must be 8-bit unsigned planar 3-channel image CV_8UC1. Planar image memory layout is three planes laying in the memory contiguously, so the image height should be plane_height*plane_number, image type is CV_8UC1.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.nv12torgbp"

Parameters

  src_y | input image: 8-bit unsigned 1-channel image CV_8UC1.
  src_uv | input image: 8-bit unsigned 2-channel image CV_8UC2.

See also
  YUV2RGB, NV12toRGBp, NV12toBGR

## ◆ NV12toGray()

GMat cv::gapi::NV12toGray | ( | const GMat & | src_y,
|  | const GMat & | src_uv )

Python:
| cv.gapi.NV12toGray( | src_y, src_uv | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from NV12 (YUV420p) color space to gray-scaled. The function converts an input image from NV12 color space to gray-scaled. The conventional ranges for Y, U, and V channel values are 0 to 255.

Output image must be 8-bit unsigned 1-channel image CV_8UC1.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.nv12togray"

Parameters

  src_y | input image: 8-bit unsigned 1-channel image CV_8UC1.
  src_uv | input image: 8-bit unsigned 2-channel image CV_8UC2.

See also
  YUV2RGB, NV12toBGR

## ◆ NV12toRGB()

GMat cv::gapi::NV12toRGB | ( | const GMat & | src_y,
|  | const GMat & | src_uv )

Python:
| cv.gapi.NV12toRGB( | src_y, src_uv | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from NV12 (YUV420p) color space to RGB. The function converts an input image from NV12 color space to RGB. The conventional ranges for Y, U, and V channel values are 0 to 255.

Output image must be 8-bit unsigned 3-channel image CV_8UC3.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.nv12torgb"

Parameters

  src_y | input image: 8-bit unsigned 1-channel image CV_8UC1.
  src_uv | input image: 8-bit unsigned 2-channel image CV_8UC2.

See also
  YUV2RGB, NV12toBGR

## ◆ NV12toRGBp()

GMatP cv::gapi::NV12toRGBp | ( | const GMat & | src_y,
|  | const GMat & | src_uv )

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from NV12 (YUV420p) color space to RGB. The function converts an input image from NV12 color space to RGB. The conventional ranges for Y, U, and V channel values are 0 to 255.

Output image must be 8-bit unsigned planar 3-channel image CV_8UC1. Planar image memory layout is three planes laying in the memory contiguously, so the image height should be plane_height*plane_number, image type is CV_8UC1.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.nv12torgbp"

Parameters

  src_y | input image: 8-bit unsigned 1-channel image CV_8UC1.
  src_uv | input image: 8-bit unsigned 2-channel image CV_8UC2.

See also
  YUV2RGB, NV12toBGRp, NV12toRGB

## ◆ RGB2Gray() [1/2]

GMat cv::gapi::RGB2Gray | ( | const GMat & | src | ) |

Python:
| cv.gapi.RGB2Gray( | src | ) -> | retval
| cv.gapi.RGB2Gray( | src, rY, gY, bY | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from RGB color space to gray-scaled.

The conventional ranges for R, G, and B channel values are 0 to 255. Resulting gray color value computed as

\[\texttt{dst} (I)= \texttt{0.299} * \texttt{src}(I).R + \texttt{0.587} * \texttt{src}(I).G + \texttt{0.114} * \texttt{src}(I).B \]

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.rgb2gray"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC1.

See also
  RGB2YUV

## ◆ RGB2Gray() [2/2]

GMat cv::gapi::RGB2Gray | ( | const GMat & | src,
|  | float | rY,
|  | float | gY,
|  | float | bY )

Python:
| cv.gapi.RGB2Gray( | src | ) -> | retval
| cv.gapi.RGB2Gray( | src, rY, gY, bY | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Resulting gray color value computed as

\[\texttt{dst} (I)= \texttt{rY} * \texttt{src}(I).R + \texttt{gY} * \texttt{src}(I).G + \texttt{bY} * \texttt{src}(I).B \]

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.rgb2graycustom"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC1.
  rY | float multiplier for R channel.
  gY | float multiplier for G channel.
  bY | float multiplier for B channel.

See also
  RGB2YUV

## ◆ RGB2HSV()

GMat cv::gapi::RGB2HSV | ( | const GMat & | src | ) |

Python:
| cv.gapi.RGB2HSV( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from RGB color space to HSV. The function converts an input image from RGB color space to HSV. The conventional ranges for R, G, and B channel values are 0 to 255.

Output image must be 8-bit unsigned 3-channel image CV_8UC3.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.rgb2hsv"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC3.

See also
  YUV2BGR, NV12toRGB

## ◆ RGB2I420()

GMat cv::gapi::RGB2I420 | ( | const GMat & | src | ) |

Python:
| cv.gapi.RGB2I420( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from RGB color space to I420 color space.

The function converts an input image from RGB color space to I420. The conventional ranges for R, G, and B channel values are 0 to 255.

Output image must be 8-bit unsigned 1-channel image. CV_8UC1. Width of I420 output image must be the same as width of input image. Height of I420 output image must be equal 3/2 from height of input image.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.rgb2i420"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC3.

See also
  I4202RGB

## ◆ RGB2Lab()

GMat cv::gapi::RGB2Lab | ( | const GMat & | src | ) |

Python:
| cv.gapi.RGB2Lab( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from RGB color space to Lab color space.

The function converts an input image from BGR color space to Lab. The conventional ranges for R, G, and B channel values are 0 to 255.

Output image must be 8-bit unsigned 3-channel image CV_8UC1.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.rgb2lab"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC1.

See also
  RGB2YUV, RGB2LUV

## ◆ RGB2YUV()

GMat cv::gapi::RGB2YUV | ( | const GMat & | src | ) |

Python:
| cv.gapi.RGB2YUV( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from RGB color space to YUV color space.

The function converts an input image from RGB color space to YUV. The conventional ranges for R, G, and B channel values are 0 to 255.

In case of linear transformations, the range does not matter. But in case of a non-linear transformation, an input RGB image should be normalized to the proper value range to get the correct results, like here, at RGB \(\rightarrow\) Y*u*v* transformation. Output image must be 8-bit unsigned 3-channel image CV_8UC3.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.rgb2yuv"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC3.

See also
  YUV2RGB, RGB2Lab

## ◆ RGB2YUV422()

GMat cv::gapi::RGB2YUV422 | ( | const GMat & | src | ) |

Python:
| cv.gapi.RGB2YUV422( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from RGB color space to YUV422. The function converts an input image from RGB color space to YUV422. The conventional ranges for R, G, and B channel values are 0 to 255.

Output image must be 8-bit unsigned 2-channel image CV_8UC2.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.rgb2yuv422"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC3.

See also
  YUV2BGR, NV12toRGB

## ◆ YUV2BGR()

GMat cv::gapi::YUV2BGR | ( | const GMat & | src | ) |

Python:
| cv.gapi.YUV2BGR( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from YUV color space to BGR color space.

The function converts an input image from YUV color space to BGR. The conventional ranges for B, G, and R channel values are 0 to 255.

Output image must be 8-bit unsigned 3-channel image CV_8UC3.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.yuv2bgr"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC3.

See also
  BGR2YUV

## ◆ YUV2RGB()

GMat cv::gapi::YUV2RGB | ( | const GMat & | src | ) |

Python:
| cv.gapi.YUV2RGB( | src | ) -> | retval

`#include <opencv2/gapi/imgproc.hpp>`

Converts an image from YUV color space to RGB. The function converts an input image from YUV color space to RGB. The conventional ranges for Y, U, and V channel values are 0 to 255.

Output image must be 8-bit unsigned 3-channel image CV_8UC3.

Note
  Function textual ID is "org.opencv.imgproc.colorconvert.yuv2rgb"

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC3.

See also
  RGB2Lab, RGB2YUV